> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable actions

> Enables actions by their IDs, category, provider, or game



## OpenAPI

````yaml /api-reference/oda-actions-service-1.0.0.yml post /actions/commands/enable-actions
openapi: 3.0.1
info:
  title: oda-actions-service
  version: 1.0.0
servers: []
security: []
paths:
  /actions/commands/enable-actions:
    post:
      summary: Enable actions
      description: Enables actions by their IDs, category, provider, or game
      operationId: enableActions
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnableActionsApi.EnableActionsCommand'
        required: true
      responses:
        '200':
          description: Actions successfully enabled
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnableActionsApi.EnableActionsResult'
components:
  schemas:
    EnableActionsApi.EnableActionsCommand:
      type: object
      properties:
        category:
          type: string
          nullable: true
        provider:
          type: string
          nullable: true
        game:
          type: string
          nullable: true
        ids:
          type: array
          nullable: true
          items:
            type: string
    EnableActionsApi.EnableActionsResult:
      required:
        - ids
        - message
        - success
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        ids:
          type: array
          items:
            type: string

````